<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <BlazorDisableThrowNavigationException>true</BlazorDisableThrowNavigationException>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    </PropertyGroup>

    <ItemGroup>
        <ProjectReference Include="..\Freman.Sample.Web.Client\Freman.Sample.Web.Client.csproj"/>
        <PackageReference Include="Microsoft.AspNetCore.App.Internal.Assets" Version="10.0.3"/>
        <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.Server" Version="10.0.3"/>

        <PackageReference Include="Microsoft.EntityFrameworkCore" Version="10.0.3"/>
        <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="10.0.3">
            <PrivateAssets>all</PrivateAssets>
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="10.0.0"/>
    </ItemGroup>

    <ItemGroup>
        <Content Include="..\..\.dockerignore">
            <Link>.dockerignore</Link>
        </Content>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\..\Freman.Sample.Web.Contracts\Freman.Sample.Web.Contracts.csproj"/>
    </ItemGroup>

</Project>
